const superAdminMiddleware = (req, res, next) => {
  if (req.user.role !== "super-admin") {
    return res.status(403).json({ 
      message: "Access denied. Super admin privileges required." 
    });
  }
  next();
};

module.exports = superAdminMiddleware;
